REST API · v1

Automate
your workspace.

JSON over HTTPS. Create monitors, start security scans, read alerts and costs — with a team API key from your dashboard.

bash
curl https://api.securecheap.com/api/v1/monitors \
  -H "X-API-Key: sc_live_..."

01 / Authentication

One key. Team-scoped.

API keys are created by team admins in Settings → API keys. A key acts on its team only and cannot manage other keys.

Send the key

Use X-API-Key: sc_live_… or Authorization: Bearer sc_live_…

Plan access

API access is included on plans with the API access — see pricing.

Rate limits

Requests are rate limited per client. Limit headers (RateLimit-*) are returned on every response.

02 / Examples

Copy, paste, run.

Create an HTTPS monitor

bash
curl -X POST https://api.securecheap.com/api/v1/monitors \
  -H "Authorization: Bearer sc_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "production-api",
    "type": "HTTPS",
    "target": "https://api.example.com/health",
    "interval": 300,
    "expectedStatus": 200
  }'

Types: HTTP, HTTPS, SSL, DOMAIN, TCP, PING · interval 60–86400 s · timeout 5–120 s

Start a security scan

bash
curl -X POST https://api.securecheap.com/api/v1/scanner/scan \
  -H "X-API-Key: sc_live_..." \
  -H "Content-Type: application/json" \
  -d '{ "target": "https://example.com", "type": "quick" }'

Target must be an http(s) URL · type: quick or full

03 / Endpoints

Common endpoints.

Base URL https://api.securecheap.com/api/v1

GET/monitors
POST/monitors
GET/monitors/{id}
PUT/monitors/{id}
DELETE/monitors/{id}
POST/monitors/{id}/check
POST/scanner/scan
GET/scanner/scans
GET/scanner/scans/{scanId}
GET/alerts
GET/alerts/channels
POST/alerts/channels
GET/costs/team-overview
GET/costs/{projectId}/optimizations
POST/ai/chat
GET/status
GET/health

Start building

Your key is
one click away.

Create a workspace, then generate a key in Settings → API keys.